[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.InvalidateRect

Marks a display area for repaint.

## Declaration

Source position: winapih.inc line 174

`public function TWidgetSet.InvalidateRect(`
`aHandle: HWND;`
`ARect: PRect;`
`bErase: Boolean`
`):Boolean; virtual;`

## Arguments

`aHandle` |  | The window handle.
`ARect` |  | The client coordinates of the area.
`bErase` |  | True forces a repaint of the background, before further painting.

## Function result

False on failure.

## See also

TWidgetSet.InvalidateRgn |  | Marks a display area for repaint.